Subject: Re: bug#10819: [BUG][RM]

From: Philip Rowlands <[email-masked]>
Date: Thu, 16 Feb 2012 19:15:14 +0000

On 16/02/2012 18:58, Eric Blake wrote:

>> so that we could simplify a bunch of automake recipes); but a more extensive
>> probing is needed in this matter I guess.  And if you are right (as I hope),
>> then this 'rm' feature could be documented in the Autoconf manual.
>
> Yep, I think that's appropriate, as it is unlikely that we will come up
> with any counterexamples any time soon.

As the now-POSIX-infringing behaviour is simple to detect, couldn't 
automake detect it early and die with a helpful message, or is that 
contrary to its philosophy?

Cheers,
Phil